/* File: config.h
 * Desc: Media independant (memory assumed) definitions on configuration data
 * Auth: San Mehat (mods by Mark Knox)
 * Note:
 */

#define OPT_INCLUDE_NONE 1
#define OPT_INCLUDE_NOEXEC 2
#define OPT_INCLUDE_FULL 3

#include <net/route.h> 
typedef struct config_nodelist
	{
	int                    I_nodenumber;
	unsigned int           UI_throughputchoke;
	unsigned char          UC_priority;
	struct config_nodelist *next;
	} CONFIG_NODELIST;

typedef struct config_partition
	{
	char		   SZ_servername[64];
	char		   C_optionflags;
	unsigned int   UI_aliasaddr;   /* External network addr alias for partition */
	unsigned int   UI_aliasmask;   /* External network address netmask          */
	unsigned short US_portbinding; /* Port to forward to on slave for partition */
	char           SZ_documentpath[80]; /* FQ docpath to fs mountpoint          */
	char		   SZ_cgipath[80]; /* FQ cgipath to fs mountpoint 				*/
	char           SZ_loadbalancer[16]; /* Load balancing modulename            */
	struct rtentry Srtentry_route;
	CONFIG_NODELIST *Tnodelist_root;
	struct config_partition *next;
	} CONFIG_PARTITION;

typedef struct configuration
	{
	unsigned int     UI_zibaddr;
	unsigned int     UI_netmask;
	unsigned int     UI_syncmngrscanfreq;
	unsigned int     UI_cardsvcsscanfreq;
	struct rtentry   Srtentry_route[6];
	unsigned char    UC_slavememthrottle;
	unsigned char    UC_ctrletheraddr[6];
	char			 SZ_timezone[50];           /* timezone string */
	unsigned int	 UI_nfsserver;				/* nfs server addr */
	char			 SZ_binarypath[80];			/* nfs arm binary path */
	CONFIG_PARTITION *Tpartition_root;
	} CONFIGURATION;
